#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

int main()
{
    int N,n,c,d,e,xi,yi,p,a,g,n1;
    cin>>N;
    n=0;
    p=1;
    c=yi,d=yi;
    e=xi,g=xi;
    for(int i=1; i<=N; i++)
        {
            cin>>xi>>yi;
        }
    for(int j=1; j<=N; j++)
        {
            p*=j;
        }
    a=p/24;
    for(int k=1; k<a; k++)
        {
            if(((abs(c-d))==(abs(yi-yi)))&&((abs(e-g))== 2*(abs(xi-xi))))
                n++;
        }
    n1=(n/2)+1;
    cout << n1 << endl;
    return 0;
}